<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="computer">
            <h2><span jhiTranslate="shoppingonlineApp.computer.detail.title">Computer</span> {{ computer.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="shoppingonlineApp.computer.prezzo">Prezzo</span></dt>
                <dd>
                    <span>{{ computer.prezzo }}</span>
                </dd>
                <dt><span jhiTranslate="shoppingonlineApp.computer.configurazione">Configurazione</span></dt>
                <dd>
                    <div *ngIf="computer.configurazione">
                        <a [routerLink]="['/configurazione', computer.configurazione?.id, 'view']">{{ computer.configurazione?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/computer', computer.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
            </button>
        </div>
    </div>
</div>
